This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 720891 - [abrt] imsettings-1.2.3-1.fc15: __GI_raise: Process /usr/libexec/imsettings-daemon was killed by signal 6 (SIGABRT)
[abrt] imsettings-1.2.3-1.fc15: __GI_raise: Process /usr/libexec/imsettings-d...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: imsettings (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
abrt_hash:51e0f210ff0ebeed2368c1d6579...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-13 03:03 EDT by Lari Tanase
Modified: 2012-02-25 03:31 EST (History)
6 users (show)

See Also:
Fixed In Version: imsettings-1.2.8-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-25 03:31:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lari Tanase 2011-07-13 03:03:06 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/libexec/imsettings-daemon
comment:        during boot period
component:      imsettings
crash_function: __GI_raise
executable:     /usr/libexec/imsettings-daemon
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        imsettings-1.2.3-1.fc15
reason:         Process /usr/libexec/imsettings-daemon was killed by signal 6 (SIGABRT)
time:           Wed Jul 13 08:34:19 2011
uid:            500
username:       larieu
var_log_messages: Jul 13 08:34:20 laptop abrt[2145]: saved core dump of pid 1939 (/usr/libexec/imsettings-daemon) to /var/spool/abrt/ccpp-2011-07-13-08:34:19-1939.new/coredump (18063360 bytes)

backtrace:
:warning: core file may not match specified executable file.
:[New LWP 1939]
:[New LWP 1949]
:[New LWP 1940]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/libexec/imsettings-daemon'.
:Program terminated with signal 6, Aborted.
:#0  0x00000032264352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.
:	in ../nptl/sysdeps/unix/sysv/linux/raise.c
:
:Thread 3 (Thread 0x7f007849b700 (LWP 1940)):
:#0  0x00000032264d7293 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003228042d24 in g_main_context_poll (n_fds=3, fds=0x7f0070001e00, priority=<optimized out>, timeout=-1, context=0x1c0ebe0) at gmain.c:3405
:        poll_func = 0x3228051310 <g_poll>
:#2  g_main_context_iterate (context=0x1c0ebe0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = 0x7f0070001e00
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x000000322804360d in g_main_loop_run (loop=0x1c0ebc0) at gmain.c:3300
:        self = 0x1c0ecd0
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x000000322acb4564 in gdbus_shared_thread_func (data=<optimized out>) at gdbusprivate.c:276
:No locals.
:#5  0x00000032280683a6 in g_thread_create_proxy (data=0x1c0ecd0) at gthread.c:1955
:        thread = 0x1c0ecd0
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003226807af1 in start_thread (arg=0x7f007849b700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f007849b700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 2357052883287368275, 140734278789664, 139639994825152, 0, 3, -2398976554621771181, 2364849516265693779}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x00000032264dfb7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 2 (Thread 0x7f00771db700 (LWP 1949)):
:#0  0x00000032264d7293 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003228042d24 in g_main_context_poll (n_fds=1, fds=0x7f0068001130, priority=<optimized out>, timeout=-1, context=0x1c32b90) at gmain.c:3405
:        poll_func = 0x3228051310 <g_poll>
:#2  g_main_context_iterate (context=0x1c32b90, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = 0x7f0068001130
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x000000322804360d in g_main_loop_run (loop=0x7f0068001110) at gmain.c:3300
:        self = 0x1c32c80
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x00007f00771e0b6b in dconf_context_thread (data=0x1c32b90) at dconfcontext.c:11
:        context = 0x1c32b90
:        loop = <optimized out>
:        __PRETTY_FUNCTION__ = "dconf_context_thread"
:#5  0x00000032280683a6 in g_thread_create_proxy (data=0x1c32c80) at gthread.c:1955
:        thread = 0x1c32c80
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003226807af1 in start_thread (arg=0x7f00771db700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f00771db700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 2357052883287368275, 140734278788256, 139639975164352, 0, 3, -2399009986647203245, 2364849516265693779}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x00000032264dfb7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7f007849c7c0 (LWP 1939)):
:#0  0x00000032264352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = <optimized out>
:#1  0x0000003226436beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x1c253b0, sa_sigaction = 0x1c253b0}, sa_mask = {__val = {215419840738, 139639855781216, 215419860001, 0, 32, 139639855781216, 139639855781216, 29404144, 29404144, 29512224, 29404144, 129, 1, 0, 215419754307, 139639855781216}}, sa_flags = 671506586, sa_restorer = 0x6a}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x00000032280665bd in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x32280f7490 "g_variant_type_info_check", message=0x1c253b0 "assertion failed: (0 <= index && index < 24)") at gtestutils.c:1358
:        lstr = "186\000\377\177\000\000\360\343\261@\377\177\000\000@\017\303\001\000\000\000\000pq\017(2\000\000"
:        s = 0x1c25220 ""
:#3  0x0000003228066ae2 in g_assertion_message_expr (domain=0x32280adc06 "GLib", file=0x32280f715d "gvarianttypeinfo.c", line=186, func=0x32280f7490 "g_variant_type_info_check", expr=<optimized out>) at gtestutils.c:1369
:        s = <optimized out>
:#4  0x00000032280829b6 in g_variant_type_info_check (info=<optimized out>, container_class=<optimized out>) at gvarianttypeinfo.c:186
:        index = <optimized out>
:        __PRETTY_FUNCTION__ = "g_variant_type_info_check"
:#5  0x0000003228082aa3 in g_variant_type_info_query (info=0x7f0068002900, alignment=0x7fff40b1e52c, fixed_size=0x7fff40b1e520) at gvarianttypeinfo.c:247
:No locals.
:#6  0x00000032280806c0 in g_variant_serialised_check (serialised=...) at gvariant-serialiser.c:134
:        fixed_size = <optimized out>
:        alignment = <optimized out>
:        __PRETTY_FUNCTION__ = "g_variant_serialised_check"
:#7  0x00000032280813aa in g_variant_serialiser_serialise (serialised=..., gvs_filler=0x322807cdc0 <g_variant_fill_gvs>, children=0x0, n_children=0) at gvariant-serialiser.c:1397
:        __PRETTY_FUNCTION__ = "g_variant_serialiser_serialise"
:#8  0x000000322807c695 in g_variant_serialise (value=<optimized out>, data=0x1c26bc0) at gvariant-core.c:373
:        serialised = {type_info = 0x7f0068002900, data = 0x1c26bc0 "pq\302\001", size = 0}
:        __PRETTY_FUNCTION__ = "g_variant_serialise"
:#9  0x000000322807cdab in g_variant_store (value=0x7f0068002600, data=0x1c26bc0) at gvariant-core.c:929
:No locals.
:#10 0x000000322808152b in gvs_tuple_serialise (n_children=3, children=0x7f00700060d0, gvs_filler=0x322807cdc0 <g_variant_fill_gvs>, value=...) at gvariant-serialiser.c:1002
:        member_info = 0x7f0070007ea0
:        child = {type_info = 0x7f0068002900, data = 0x1c26bc0 "pq\302\001", size = 0}
:        alignment = 0
:        offset_size = 1
:        offset = <optimized out>
:        i = <optimized out>
:#11 g_variant_serialiser_serialise (serialised=..., gvs_filler=0x322807cdc0 <g_variant_fill_gvs>, children=0x7f00700060d0, n_children=3) at gvariant-serialiser.c:1399
:        __PRETTY_FUNCTION__ = "g_variant_serialiser_serialise"
:#12 0x000000322807c695 in g_variant_serialise (value=<optimized out>, data=0x1c26bc0) at gvariant-core.c:373
:        serialised = {type_info = 0x7f0070006520, data = 0x1c26bc0 "pq\302\001", size = 8}
:        __PRETTY_FUNCTION__ = "g_variant_serialise"
:#13 0x000000322807cb7f in g_variant_ensure_serialised (value=0x1c22f80) at gvariant-core.c:446
:        buffer = 0x0
:        data = 0x1c26bc0
:#14 g_variant_get_data (value=0x1c22f80) at gvariant-core.c:779
:No locals.
:#15 0x000000322807bd9c in g_variant_get (value=0x1c22f80, format_string=0x40a14b "(&s&sb)") at gvariant.c:4297
:        ap = {{gp_offset = 0, fp_offset = 0, overflow_arg_area = 0x1, reg_save_area = 0x322aca30d3}}
:        __PRETTY_FUNCTION__ = "g_variant_get"
:#16 0x0000000000407b4f in imsettings_server_bus_method_call (connection=<optimized out>, sender=<optimized out>, object_path=<optimized out>, interface_name=<optimized out>, method_name=0x7f00700039f0 "SwitchIM", parameters=0x1c22f80, invocation=0x7f0070007cc0 [GDBusMethodInvocation], user_data=0x1c12840) at imsettings-server.c:1116
:        lang = <optimized out>
:        module = <optimized out>
:        ret = 0
:        info = 0x0
:        update = <optimized out>
:        value = 0x0
:        server = 0x1c12840 [IMSettingsServer]
:        priv = 0x1c12860
:        err = 0x0
:#17 0x000000322aca6080 in call_in_idle_cb (user_data=0x7f0070007cc0) at gdbusconnection.c:4445
:        invocation = 0x7f0070007cc0 [GDBusMethodInvocation]
:        vtable = <optimized out>
:        registration_id = <optimized out>
:        subtree_registration_id = <optimized out>
:        __PRETTY_FUNCTION__ = "call_in_idle_cb"
:#18 0x00000032280427ed in g_main_dispatch (context=0x7f00700008c0) at gmain.c:2441
:        dispatch = 0x322803e750 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x7f0070007cc0
:        callback = 0x322aca5f70 <call_in_idle_cb>
:        cb_funcs = 0x3228315c50
:        cb_data = 0x7f0070006a70
:        current_source_link = {data = 0x7f0070006a00, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x7f0070006a00
:        current = 0x1c0f890
:        i = <optimized out>
:#19 g_main_context_dispatch (context=0x7f00700008c0) at gmain.c:3014
:No locals.
:#20 0x0000003228042fc8 in g_main_context_iterate (context=0x7f00700008c0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 0
:        timeout = 0
:        some_ready = 1
:        nfds = 2
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#21 0x000000322804360d in g_main_loop_run (loop=0x1c105e0) at gmain.c:3300
:        self = 0x1bf6100
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#22 0x0000000000404a7f in main (argc=1, argv=0x7fff40b1ee88) at main.c:184
:        err = 0x0
:        arg_replace = 0
:        arg_no_logfile = 0
:        arg_xinputrcdir = 0x0
:        arg_xinputdir = 0x0
:        arg_homedir = 0x0
:        arg_moduledir = 0x0
:        loop = 0x1c105e0
:        ctx = <optimized out>
:        entries = {{long_name = 0x40a9a8 "replace", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff40b1ed88, description = 0x40a830 "Replace the instance of the imsettings daemon.", arg_description = 0x0}, {long_name = 0x40a005 "xinputrcdir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff40b1ed68, description = 0x40a860 "Set the system-wide xinputrc directory (for debugging purpose)", arg_description = 0x40a9b0 "DIR"}, {long_name = 0x40a022 "xinputdir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff40b1ed70, description = 0x40a8a0 "Set the IM configuration directory (for debugging purpose)", arg_description = 0x40a9b0 "DIR"}, {long_name = 0x409fea "homedir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff40b1ed78, description = 0x40a8e0 "Set a home directory (for debugging purpose)", arg_description = 0x40a9b0 "DIR"}, {long_name = 0x40a048 "moduledir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff40b1ed80, description = 0x40a910 "Set the imsettings module directory (for debugging purpose)", arg_description = 0x40a9b0 "DIR"}, {long_name = 0x40a9b4 "no-logfile", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff40b1ed8c, description = 0x40a9bf "Do not create a log file.", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
:        connection = 0x1c05810 [GDBusConnection]
:From                To                  Syms Read   Shared Object Library
:0x000000323b002750  0x000000323b004cec  Yes         /usr/lib64/libnotify.so.4
:0x000000322dc06290  0x000000322dc19c9c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0
:0x000000322b404870  0x000000322b41eb5c  Yes         /usr/lib64/libpng12.so.0
:0x0000003227403ea0  0x0000003227443e9c  Yes         /lib64/libm.so.6
:0x000000322d403200  0x000000322d4071dc  Yes         /usr/lib64/libimsettings.so.5
:0x000000322ac294a0  0x000000322acd2b3c  Yes         /lib64/libgio-2.0.so.0
:0x0000003229400fe0  0x0000003229401f8c  Yes         /lib64/libgmodule-2.0.so.0
:0x0000003229009970  0x0000003229039dcc  Yes         /lib64/libgobject-2.0.so.0
:0x0000003228c01560  0x0000003228c02a2c  Yes         /lib64/libgthread-2.0.so.0
:0x0000003227002160  0x00000032270053ec  Yes         /lib64/librt.so.1
:0x0000003228016cd0  0x00000032280adbec  Yes         /lib64/libglib-2.0.so.0
:0x0000003226805640  0x000000322681038c  Yes         /lib64/libpthread.so.0
:0x000000322641ece0  0x000000322654304c  Yes         /lib64/libc.so.6
:0x0000003227c01e70  0x0000003227c0e67c  Yes         /lib64/libz.so.1
:0x0000003226c00de0  0x0000003226c0191c  Yes         /lib64/libdl.so.2
:0x0000003228803840  0x000000322881354c  Yes         /lib64/libresolv.so.2
:0x0000003228405980  0x00000032284159dc  Yes         /lib64/libselinux.so.1
:0x0000003226000b20  0x0000003226018caa  Yes         /lib64/ld-linux-x86-64.so.2
:0x00007f0077a79ab0  0x00007f0077a926ac  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
:0x0000003229809210  0x00000032298132ec  Yes         /usr/lib64/libgvfscommon.so.0
:0x000000322a403b70  0x000000322a41d84c  Yes         /lib64/libexpat.so.1
:0x00007f00778346f0  0x00007f007785d50c  Yes         /lib64/libdbus-1.so.3
:0x00000038e1802e40  0x00000038e180accc  Yes         /lib64/libudev.so.0
:0x0000003238800e10  0x000000323880168c  Yes         /lib64/libutil.so.1
:0x00000032278028a0  0x00000032278120cc  Yes         /lib64/libgcc_s.so.1
:0x00007f0077622170  0x00007f00776298ac  Yes         /lib64/libnss_files.so.2
:0x00007f0077402890  0x00007f0077402b7c  Yes         /usr/lib64/imsettings/libimsettings-gsettings.so
:0x00007f00771de900  0x00007f00771e1eac  Yes         /usr/lib64/gio/modules/libdconfsettings.so
:$1 = 0x0
:$2 = 0x1c25630 "GLib:ERROR:gvarianttypeinfo.c:186:g_variant_type_info_check: assertion failed: (0 <= index && index < 24)"
:rax            0x0	0
:rbx            0x1c25220	29512224
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x793	1939
:rdi            0x793	1939
:rbp            0x3228316400	0x3228316400
:rsp            0x7fff40b1e278	0x7fff40b1e278
:r8             0x20	32
:r9             0x322652f280	215391335040
:r10            0x8	8
:r11            0x206	518
:r12            0x32280f7490	215420466320
:r13            0x1c253b0	29512624
:r14            0x7f0068002900	139639721568512
:r15            0x322807cdc0	215419964864
:rip            0x32264352d5	0x32264352d5 <__GI_raise+53>
:eflags         0x206	[ PF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x00000032264352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x00000032264352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x00000032264352b0 <+16>:	test   %esi,%esi
:   0x00000032264352b2 <+18>:	jne    0x32264352e0 <__GI_raise+64>
:   0x00000032264352b4 <+20>:	mov    $0xba,%eax
:   0x00000032264352b9 <+25>:	syscall 
:   0x00000032264352bb <+27>:	mov    %eax,%esi
:   0x00000032264352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x00000032264352c5 <+37>:	movslq %edi,%rdx
:   0x00000032264352c8 <+40>:	movslq %esi,%rsi
:   0x00000032264352cb <+43>:	movslq %eax,%rdi
:   0x00000032264352ce <+46>:	mov    $0xea,%eax
:   0x00000032264352d3 <+51>:	syscall 
:=> 0x00000032264352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x00000032264352db <+59>:	ja     0x32264352ef <__GI_raise+79>
:   0x00000032264352dd <+61>:	repz retq 
:   0x00000032264352df <+63>:	nop
:   0x00000032264352e0 <+64>:	test   %eax,%eax
:   0x00000032264352e2 <+66>:	jg     0x32264352c5 <__GI_raise+37>
:   0x00000032264352e4 <+68>:	test   $0x7fffffff,%eax
:   0x00000032264352e9 <+73>:	je     0x3226435300 <__GI_raise+96>
:   0x00000032264352eb <+75>:	neg    %eax
:   0x00000032264352ed <+77>:	jmp    0x32264352c5 <__GI_raise+37>
:   0x00000032264352ef <+79>:	mov    0x35ccb2(%rip),%rdx        # 0x3226791fa8
:   0x00000032264352f6 <+86>:	neg    %eax
:   0x00000032264352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x00000032264352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x00000032264352ff <+95>:	retq   
:   0x0000003226435300 <+96>:	mov    %esi,%eax
:   0x0000003226435302 <+98>:	jmp    0x32264352c5 <__GI_raise+37>
:End of assembler dump.

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:48b9e02d2199527bf0b51390ce501d804d2e447b
:d9b355ddb4c9919032e347418720a9d608e15da7
:46caf50b7b8405049cc76b9d88092acce249ec89
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:9e7f9920023c7d8d35e94b041966c802abfbb0a9
:020ea634b00e306a5ba5982d96f7f55c560bee88
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:f77561c1910d48f6d02230d9837b95851d06a761
:3a66db60db8c4065c827d710ad7ea7e7bc32de35
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:634eca0cadcf35206919dd5e6a8e2e8601276947
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:ebb6702a16d91f29f76e61e919170eba439029c5
:263808e67654286dd52d513eff5f47217feb6bf2
:20a52b2039ef402aa99cd369116b7ff09644aa0a
:f6320d3a9d2dccb9d48d2bf7e87b335f336e4123
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:9fbcf3354ccd43e2e547ada4a80a4878435c05a0
:fbd958413c75ae3fbfb88847de94dd68e58336a7
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:096d5ffaa54bc927bbff329fc72f6207137ad809
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7
:824c7ed12bdc96a755733f7bae01ae6d965465f8

dso_list:
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309545544
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1309545631
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309545547
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc15.x86_64 (Fedora Project) 1309545550
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309545544
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.7.5-1.x86_64 (Fedora Project) 1305315746
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1309545631
:/usr/lib64/libimsettings.so.5.1.0 imsettings-libs-1.2.3-1.fc15.x86_64 (Fedora Project) 1309545577
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309545544
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309545544
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1305315722
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309790504
:/lib64/libutil-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309790495
:/usr/libexec/imsettings-daemon imsettings-1.2.3-1.fc15.x86_64 (Fedora Project) 1309545578
:/lib64/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.x86_64 (Fedora Project) 1309545517
:/usr/lib64/imsettings/libimsettings-gsettings.so imsettings-gnome-1.2.3-1.fc15.x86_64 (Fedora Project) 1309545577
:/usr/lib64/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305315724
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309545544

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-ERWuWryj0H,guid=e4f3866750ba00698e7b5cec00000056
:XDG_SESSION_COOKIE=602423926820b352557c34b000000008-1310538855.129861-1391665752
:XDG_RUNTIME_DIR=/run/user/larieu
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:USERNAME=larieu
:XDG_SESSION_ID=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ERWuWryj0H,guid=e4f3866750ba00698e7b5cec00000056
:XAUTHORITY=/var/run/gdm/auth-for-larieu-jHtqbP/database
:USER=larieu
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1863
:SHLVL=1
:PWD=/home/larieu
:GDM_LANG=en_US.utf8
:GNOME_KEYRING_CONTROL=/tmp/keyring-KRJbfc
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=larieu
:HOME=/home/larieu

maps:
:00400000-0040c000 r-xp 00000000 fd:01 160819                             /usr/libexec/imsettings-daemon
:0060c000-0060f000 rw-p 0000c000 fd:01 160819                             /usr/libexec/imsettings-daemon
:01bf6000-01c57000 rw-p 00000000 00:00 0                                  [heap]
:3226000000-322601f000 r-xp 00000000 fd:01 135975                         /lib64/ld-2.14.so
:322621e000-322621f000 r--p 0001e000 fd:01 135975                         /lib64/ld-2.14.so
:322621f000-3226220000 rw-p 0001f000 fd:01 135975                         /lib64/ld-2.14.so
:3226220000-3226221000 rw-p 00000000 00:00 0 
:3226400000-322658f000 r-xp 00000000 fd:01 161732                         /lib64/libc-2.14.so
:322658f000-322678e000 ---p 0018f000 fd:01 161732                         /lib64/libc-2.14.so
:322678e000-3226792000 r--p 0018e000 fd:01 161732                         /lib64/libc-2.14.so
:3226792000-3226793000 rw-p 00192000 fd:01 161732                         /lib64/libc-2.14.so
:3226793000-3226799000 rw-p 00000000 00:00 0 
:3226800000-3226816000 r-xp 00000000 fd:01 147882                         /lib64/libpthread-2.14.so
:3226816000-3226a15000 ---p 00016000 fd:01 147882                         /lib64/libpthread-2.14.so
:3226a15000-3226a16000 r--p 00015000 fd:01 147882                         /lib64/libpthread-2.14.so
:3226a16000-3226a17000 rw-p 00016000 fd:01 147882                         /lib64/libpthread-2.14.so
:3226a17000-3226a1b000 rw-p 00000000 00:00 0 
:3226c00000-3226c02000 r-xp 00000000 fd:01 161750                         /lib64/libdl-2.14.so
:3226c02000-3226e02000 ---p 00002000 fd:01 161750                         /lib64/libdl-2.14.so
:3226e02000-3226e03000 r--p 00002000 fd:01 161750                         /lib64/libdl-2.14.so
:3226e03000-3226e04000 rw-p 00003000 fd:01 161750                         /lib64/libdl-2.14.so
:3227000000-3227007000 r-xp 00000000 fd:01 135384                         /lib64/librt-2.14.so
:3227007000-3227206000 ---p 00007000 fd:01 135384                         /lib64/librt-2.14.so
:3227206000-3227207000 r--p 00006000 fd:01 135384                         /lib64/librt-2.14.so
:3227207000-3227208000 rw-p 00007000 fd:01 135384                         /lib64/librt-2.14.so
:3227400000-3227483000 r-xp 00000000 fd:01 161733                         /lib64/libm-2.14.so
:3227483000-3227682000 ---p 00083000 fd:01 161733                         /lib64/libm-2.14.so
:3227682000-3227683000 r--p 00082000 fd:01 161733                         /lib64/libm-2.14.so
:3227683000-3227684000 rw-p 00083000 fd:01 161733                         /lib64/libm-2.14.so
:3227800000-3227815000 r-xp 00000000 fd:01 154499                         /lib64/libgcc_s-4.6.0-20110530.so.1
:3227815000-3227a14000 ---p 00015000 fd:01 154499                         /lib64/libgcc_s-4.6.0-20110530.so.1
:3227a14000-3227a15000 rw-p 00014000 fd:01 154499                         /lib64/libgcc_s-4.6.0-20110530.so.1
:3227c00000-3227c16000 r-xp 00000000 fd:01 161736                         /lib64/libz.so.1.2.5
:3227c16000-3227e16000 ---p 00016000 fd:01 161736                         /lib64/libz.so.1.2.5
:3227e16000-3227e17000 rw-p 00016000 fd:01 161736                         /lib64/libz.so.1.2.5
:3228000000-3228115000 r-xp 00000000 fd:01 161745                         /lib64/libglib-2.0.so.0.2800.8
:3228115000-3228315000 ---p 00115000 fd:01 161745                         /lib64/libglib-2.0.so.0.2800.8
:3228315000-3228316000 rw-p 00115000 fd:01 161745                         /lib64/libglib-2.0.so.0.2800.8
:3228316000-3228317000 rw-p 00000000 00:00 0 
:3228400000-322841d000 r-xp 00000000 fd:01 161764                         /lib64/libselinux.so.1
:322841d000-322861c000 ---p 0001d000 fd:01 161764                         /lib64/libselinux.so.1
:322861c000-322861d000 r--p 0001c000 fd:01 161764                         /lib64/libselinux.so.1
:322861d000-322861e000 rw-p 0001d000 fd:01 161764                         /lib64/libselinux.so.1
:322861e000-322861f000 rw-p 00000000 00:00 0 
:3228800000-3228817000 r-xp 00000000 fd:01 161749                         /lib64/libresolv-2.14.so
:3228817000-3228a17000 ---p 00017000 fd:01 161749                         /lib64/libresolv-2.14.so
:3228a17000-3228a18000 r--p 00017000 fd:01 161749                         /lib64/libresolv-2.14.so
:3228a18000-3228a19000 rw-p 00018000 fd:01 161749                         /lib64/libresolv-2.14.so
:3228a19000-3228a1b000 rw-p 00000000 00:00 0 
:3228c00000-3228c04000 r-xp 00000000 fd:01 161746                         /lib64/libgthread-2.0.so.0.2800.8
:3228c04000-3228e03000 ---p 00004000 fd:01 161746                         /lib64/libgthread-2.0.so.0.2800.8
:3228e03000-3228e04000 rw-p 00003000 fd:01 161746                         /lib64/libgthread-2.0.so.0.2800.8
:3229000000-322904c000 r-xp 00000000 fd:01 161747                         /lib64/libgobject-2.0.so.0.2800.8
:322904c000-322924b000 ---p 0004c000 fd:01 161747                         /lib64/libgobject-2.0.so.0.2800.8
:322924b000-322924d000 rw-p 0004b000 fd:01 161747                         /lib64/libgobject-2.0.so.0.2800.8
:322924d000-322924e000 rw-p 00000000 00:00 0 
:3229400000-3229403000 r-xp 00000000 fd:01 160817                         /lib64/libgmodule-2.0.so.0.2800.8
:3229403000-3229602000 ---p 00003000 fd:01 160817                         /lib64/libgmodule-2.0.so.0.2800.8
:3229602000-3229603000 rw-p 00002000 fd:01 160817                         /lib64/libgmodule-2.0.so.0.2800.8
:3229800000-3229817000 r-xp 00000000 fd:01 153408                         /usr/lib64/libgvfscommon.so.0.0.0
:3229817000-3229a16000 ---p 00017000 fd:01 153408                         /usr/lib64/libgvfscommon.so.0.0.0
:3229a16000-3229a18000 rw-p 00016000 fd:01 153408                         /usr/lib64/libgvfscommon.so.0.0.0
:322a400000-322a427000 r-xp 00000000 fd:01 161739                         /lib64/libexpat.so.1.5.2
:322a427000-322a626000 ---p 00027000 fd:01 161739                         /lib64/libexpat.so.1.5.2
:322a626000-322a629000 rw-p 00026000 fd:01 161739                         /lib64/libexpat.so.1.5.2
:322ac00000-322ad21000 r-xp 00000000 fd:01 161785                         /lib64/libgio-2.0.so.0.2800.8
:322ad21000-322af20000 ---p 00121000 fd:01 161785                         /lib64/libgio-2.0.so.0.2800.8
:322af20000-322af26000 rw-p 00120000 fd:01 161785                         /lib64/libgio-2.0.so.0.2800.8
:322af26000-322af27000 rw-p 00000000 00:00 0 
:322b400000-322b426000 r-xp 00000000 fd:01 161737                         /usr/lib64/libpng12.so.0.44.0
:322b426000-322b626000 ---p 00026000 fd:01 161737                         /usr/lib64/libpng12.so.0.44.0
:322b626000-322b627000 rw-p 00026000 fd:01 161737                         /usr/lib64/libpng12.so.0.44.0
:322d400000-322d40a000 r-xp 00000000 fd:01 154455                         /usr/lib64/libimsettings.so.5.1.0
:322d40a000-322d609000 ---p 0000a000 fd:01 154455                         /usr/lib64/libimsettings.so.5.1.0
:322d609000-322d60a000 rw-p 00009000 fd:01 154455                         /usr/lib64/libimsettings.so.5.1.0
:322dc00000-322dc21000 r-xp 00000000 fd:01 161794                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:322dc21000-322de21000 ---p 00021000 fd:01 161794                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:322de21000-322de22000 rw-p 00021000 fd:01 161794                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:3238800000-3238802000 r-xp 00000000 fd:01 161813                         /lib64/libutil-2.14.so
:3238802000-3238a01000 ---p 00002000 fd:01 161813                         /lib64/libutil-2.14.so
:3238a01000-3238a02000 r--p 00001000 fd:01 161813                         /lib64/libutil-2.14.so
:3238a02000-3238a03000 rw-p 00002000 fd:01 161813                         /lib64/libutil-2.14.so
:323b000000-323b006000 r-xp 00000000 fd:01 161893                         /usr/lib64/libnotify.so.4.0.0
:323b006000-323b206000 ---p 00006000 fd:01 161893                         /usr/lib64/libnotify.so.4.0.0
:323b206000-323b207000 rw-p 00006000 fd:01 161893                         /usr/lib64/libnotify.so.4.0.0
:38e1800000-38e180e000 r-xp 00000000 fd:01 159630                         /lib64/libudev.so.0.11.1
:38e180e000-38e1a0d000 ---p 0000e000 fd:01 159630                         /lib64/libudev.so.0.11.1
:38e1a0d000-38e1a0e000 r--p 0000d000 fd:01 159630                         /lib64/libudev.so.0.11.1
:38e1a0e000-38e1a0f000 rw-p 0000e000 fd:01 159630                         /lib64/libudev.so.0.11.1
:7f0061bdd000-7f0068000000 r--p 00000000 fd:01 158712                     /usr/lib/locale/locale-archive
:7f0068000000-7f0068022000 rw-p 00000000 00:00 0 
:7f0068022000-7f006c000000 ---p 00000000 00:00 0 
:7f0070000000-7f0070021000 rw-p 00000000 00:00 0 
:7f0070021000-7f0074000000 ---p 00000000 00:00 0 
:7f00769db000-7f00769dc000 ---p 00000000 00:00 0 
:7f00769dc000-7f00771dc000 rw-p 00000000 00:00 0 
:7f00771dc000-7f00771e4000 r-xp 00000000 fd:01 32198                      /usr/lib64/gio/modules/libdconfsettings.so
:7f00771e4000-7f00773e3000 ---p 00008000 fd:01 32198                      /usr/lib64/gio/modules/libdconfsettings.so
:7f00773e3000-7f00773e4000 rw-p 00007000 fd:01 32198                      /usr/lib64/gio/modules/libdconfsettings.so
:7f00773e4000-7f0077402000 r--p 00000000 fd:01 149568                     /usr/share/glib-2.0/schemas/gschemas.compiled
:7f0077402000-7f0077403000 r-xp 00000000 fd:01 3291                       /usr/lib64/imsettings/libimsettings-gsettings.so
:7f0077403000-7f0077602000 ---p 00001000 fd:01 3291                       /usr/lib64/imsettings/libimsettings-gsettings.so
:7f0077602000-7f0077603000 rw-p 00000000 fd:01 3291                       /usr/lib64/imsettings/libimsettings-gsettings.so
:7f0077603000-7f0077620000 r--s 00000000 fd:01 137152                     /usr/share/mime/mime.cache
:7f0077620000-7f007762c000 r-xp 00000000 fd:01 147493                     /lib64/libnss_files-2.14.so
:7f007762c000-7f007782b000 ---p 0000c000 fd:01 147493                     /lib64/libnss_files-2.14.so
:7f007782b000-7f007782c000 r--p 0000b000 fd:01 147493                     /lib64/libnss_files-2.14.so
:7f007782c000-7f007782d000 rw-p 0000c000 fd:01 147493                     /lib64/libnss_files-2.14.so
:7f007782d000-7f007786f000 r-xp 00000000 fd:01 140036                     /lib64/libdbus-1.so.3.5.4
:7f007786f000-7f0077a6f000 ---p 00042000 fd:01 140036                     /lib64/libdbus-1.so.3.5.4
:7f0077a6f000-7f0077a70000 r--p 00042000 fd:01 140036                     /lib64/libdbus-1.so.3.5.4
:7f0077a70000-7f0077a71000 rw-p 00043000 fd:01 140036                     /lib64/libdbus-1.so.3.5.4
:7f0077a71000-7f0077a9a000 r-xp 00000000 fd:01 149263                     /usr/lib64/gio/modules/libgvfsdbus.so
:7f0077a9a000-7f0077c99000 ---p 00029000 fd:01 149263                     /usr/lib64/gio/modules/libgvfsdbus.so
:7f0077c99000-7f0077c9b000 rw-p 00028000 fd:01 149263                     /usr/lib64/gio/modules/libgvfsdbus.so
:7f0077c9b000-7f0077c9c000 ---p 00000000 00:00 0 
:7f0077c9c000-7f00784a5000 rw-p 00000000 00:00 0 
:7f00784ba000-7f00784bf000 r--p 00000000 fd:02 9311342                    /home/larieu/.config/dconf/user
:7f00784bf000-7f00784c0000 r--s 00000000 fd:02 9311381                    /home/larieu/.cache/dconf/user
:7f00784c0000-7f00784c1000 rw-p 00000000 00:00 0 
:7f00784c1000-7f00784c2000 r--s 00000000 fd:02 10749062                   /home/larieu/.local/share/mime/mime.cache
:7f00784c2000-7f00784c9000 r--s 00000000 fd:01 158634                     /usr/lib64/gconv/gconv-modules.cache
:7f00784c9000-7f00784ca000 rw-p 00000000 00:00 0 
:7fff40aff000-7fff40b20000 rw-p 00000000 00:00 0                          [stack]
:7fff40b5e000-7fff40b5f000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Comment 1 Akira TAGOH 2011-07-13 04:12:08 EDT
Apparently you were going to start/stop any IM though, can you explain more what you did before this happens? also would be appreciated if you can upload your $HOME/.imsettings.log.
Comment 2 Agustin Ferrario 2011-07-26 19:26:57 EDT
Package: imsettings-1.2.4-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
fedora was just starting... there was an autentication faillure
Comment 3 Akira TAGOH 2011-07-26 22:13:20 EDT
No log file?
Comment 4 Akira TAGOH 2011-09-08 23:12:22 EDT
ping. can anyone upload .imsettings.log here?
Comment 5 Noel Duffy 2011-11-10 20:12:13 EST
Package: imsettings-1.2.5-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Boot from live-cd on laptop.
Comment 6 edo 2011-11-12 16:18:49 EST
Package: imsettings-1.2.5-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Do not know.
Comment 7 Fedora Update System 2012-02-10 02:40:22 EST
imsettings-1.2.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/imsettings-1.2.8-1.fc15
Comment 8 Fedora Update System 2012-02-10 16:53:09 EST
Package imsettings-1.2.8-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing imsettings-1.2.8-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1515/imsettings-1.2.8-1.fc15
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-02-25 03:31:32 EST
imsettings-1.2.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.